//
//  CRShareTestAppDelegate.h
//  CRShare
//
//  Created by taras on 18.08.11.
//  Copyright 2011 Company. All rights reserved.
//

@interface CRShareTestUIAppDelegate : NSObject <NSApplicationDelegate> {
    NSWindow *window;
	NSString* nameOfService;
	NSProgressIndicator* progressIndicator;
	NSImageView* photoView1;
	NSCollectionView* viewsCollection;
	NSComboBox* sizesChoice;
	CRShareHost* remoteHost;
	CRShareHostHelper* hostHelper;
}


-(CRShareHostHelper*)getHostHelper;
-(CRShareHost*)getHost:(NSString *)hostName;
-(id)getHostInstance;

@property (assign) IBOutlet NSWindow *window;
@property (retain) NSString* nameOfService;
@property (assign) IBOutlet NSProgressIndicator* progressIndicator;
@property (assign) IBOutlet NSImageView* photoView1;
@property (assign) IBOutlet NSCollectionView* viewsCollection;
@property (assign) IBOutlet NSComboBox* sizesChoice;
@property (retain) CRShareHost* remoteHost;

- (IBAction)buttonClickRequestAuth:(id)sender;
- (IBAction)buttonClickSetHost:(id)sender;

- (IBAction)buttonClickUploadPhoto:(id)sender;
- (IBAction)buttonClickDownloadPhoto:(id)sender;

@end
